Subject: Re: [PATCH] FRV: do_gettimeofday() should no longer use tickadj

From: Ingo Molnar <[email-masked]>
Date: Wed, 6 Sep 2006 11:43:01 +0200

* David Howells <[email-masked]> wrote:

> john stultz <[email-masked]> wrote:
> 
> > From this patch it looks like the FRV arch could be trivially 
> > converted to GENERIC_TIME.
> > 
> > Would you consider the following, totally untested patch?
> 
> It certainly looks interesting.  I'll have to study the clocksource 
> stuff - some FRV CPUs have an effective TSC.

btw., would be nice to convert it to genirq (and irqchips) too =B-) That 
would solve the kind of disable_irq_lockdep() breakage that was reported 
recently.

	Ingo